Bug 523034 - Review Request: python-setuptools_trial - Setuptools plugin that makes unit tests execute with trial instead of pyunit
Summary: Review Request: python-setuptools_trial - Setuptools plugin that makes unit t...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Toshio Ernie Kuratomi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-13 14:59 UTC by Ruben Kerkhof
Modified: 2011-03-29 03:56 UTC (History)
6 users (show)

Fixed In Version: python-setuptools_trial-0.5.12-1.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-29 03:56:05 UTC
a.badger: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Ruben Kerkhof 2009-09-13 14:59:38 UTC
Spec URL: http://ruben.fedorapeople.org/python-setuptools_trial.spec
SRPM URL: http://ruben.fedorapeople.org/python-setuptools_trial-0.5.3-1.fc11.src.rpm
Description:
Setuptools plugin that makes unit tests execute with trial instead of pyunit

Comment 1 Caius Chance 2010-01-05 06:52:31 UTC
Hi, I'm here for prereview:

=====

$ rpmlint python-setuptools_trial.spec 
python-setuptools_trial.spec: W: mixed-use-of-spaces-and-tabs (spaces: line 4, tab: line 17)
0 packages and 1 specfiles checked; 0 errors, 1 warnings.

CC> Please use either tabs or spaces.

=====

As per declaration on .spec file, a copy of BSD license is needed to be included. Please add.

Comment 2 Ruben Kerkhof 2010-02-24 17:09:07 UTC
Thanks for the review.

>> python-setuptools_trial.spec: W: mixed-use-of-spaces-and-tabs (spaces: line 4,
>> tab: line 17)

Fixed.

>> As per declaration on .spec file, a copy of BSD license is needed to be
>> included. Please add.

This is not required, the package doesn't include a license file.

Comment 4 Ruben Kerkhof 2010-04-07 15:26:51 UTC
Ok, upstream has added a license file at our request.

SPEC:
http://ruben.fedorapeople.org/python-setuptools_trial.spec
SRPM:
http://ruben.fedorapeople.org/python-setuptools_trial-0.5.6-1.fc14.src.rpm

Comment 5 Thomas Spura 2010-04-29 09:28:09 UTC
Just a few comments/questions for now:

- upstream released a new version

- could you please be a bit more specific in %files, so you know, if the egg is build?

- I didn't found a not on upstreams webpage, if python3 is supported and what their plans are (releasing two different tarballs, or is 2to3 supposed to run?
  Could you ask them please?

Comment 6 Chen Lei 2010-06-06 05:56:02 UTC
Is there any reason to del requires.txt in egg-info?

Comment 7 Ruben Kerkhof 2010-06-06 11:19:47 UTC
In reply to comment #5:

> - upstream released a new version

Ok, here's version 0.5.9:
SPEC:
http://ruben.fedorapeople.org/python-setuptools_trial.spec
SRPM:
http://ruben.fedorapeople.org/python-setuptools_trial-0.5.9-1.fc14.src.rpm

> could you please be a bit more specific in %files, so you know, if the
> egg is build?

Sure, done

> I didn't found a not on upstreams webpage, if python3 is supported
> and what their plans are (releasing two different tarballs, or is
> 2to3 supposed to run?
> Could you ask them please?

I haven't heard anything about python3 from upstream (yet). They're busy releasing a new version right now, so I suspect it can take a while. It surely doesn't have a hight priority.

In reply to comment #6

> Is there any reason to del requires.txt in egg-info?

Not that I can remember, it's been a while since I started with this package.
Removed, thanks.

Comment 8 Toshio Ernie Kuratomi 2010-11-04 14:14:36 UTC
NEEDSWORK

Good:
* Named according to the naming guidelines (there's an underscore in all the
  upstream references to this name.)
* license is BSD which is approved
* spec file is readable
* Source matches upstream
* No locale files
* No shared libraries
* Not relocatable
* No file listed multiple times
* Permissions set properly
* Package consistently uses macros
* Code not content
* Nothing in doc affects runtime
* Not a GUI application
* Does not bundle libraries in the built rpm but see below
* filenames are valid utf8
* Does not own files owned by other packages
* Owns all directories it creates

Needswork:
* Does not build in koji.  The build looks for the setuptools_darcs package.
  This does not appear to be needed (only for creating sdists, not for the
  built package that we're doing so you can remove the line from the setup.py that adds this to requires.
* setuptools_darcs code is present in the tarball.  However, it is not being
  used in the build.  The FPC is looking at new guidelines that say to remove
  such code (to make sure that it isn't being used in the build) so be ready
  for that potential guideline change.
  https://fedoraproject.org/wiki/PackagingDrafts/Treatment_Of_Bundled_Libraries

Rpmlint:
srpm and binary rpm share these warnings:

python-setuptools_trial.src: W: spelling-error %description -l en_US Setuptools -> Setup tools, Setup-tools, Setups
python-setuptools_trial.src: W: spelling-error %description -l en_US plugin -> plug in, plug-in, plugging
python-setuptools_trial.src: W: spelling-error %description -l en_US pyunit -> pyuria, punitive, impunity

These are all common words in computer jargon or proper names so these are false positives.


Fix the building problems and I'll give it one more look.

Comment 9 Ruben Kerkhof 2011-03-09 18:14:45 UTC
New version here:

SPEC:
http://ruben.fedorapeople.org/python-setuptools_trial.spec
SRPM:
http://ruben.fedorapeople.org/python-setuptools_trial-0.5.12-1.fc16.src.rpm

Darcs isn't used anymore and removed from the tarball.

Comment 10 Toshio Ernie Kuratomi 2011-03-21 20:37:40 UTC
All blockers fixed.  APPROVED

Comment 11 Ruben Kerkhof 2011-03-22 02:55:32 UTC
New Package SCM Request
=======================
Package Name: python-setuptools_trial
Short Description: Setuptools plugin that makes unit tests execute with trial instead of pyunit
Owners: ruben
Branches: f15

Comment 12 Kevin Fenzi 2011-03-22 03:15:03 UTC
Git done (by process-git-requests).

Comment 13 Fedora Update System 2011-03-23 12:56:21 UTC
python-setuptools_trial-0.5.12-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/python-setuptools_trial-0.5.12-1.fc15

Comment 14 Fedora Update System 2011-03-24 06:56:12 UTC
python-setuptools_trial-0.5.12-1.fc15 has been pushed to the Fedora 15 testing repository.

Comment 15 Fedora Update System 2011-03-29 03:56:00 UTC
python-setuptools_trial-0.5.12-1.fc15 has been pushed to the Fedora 15 stable repository.


Note You need to log in before you can comment on or make changes to this bug.